/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.api;

import org.ow2.util.ee.metadata.ws.api.xml.struct.IWebservices;

/**
 * The IWebservicesDeployableMetadata add additional metadata accessible from the deployable instance.
 * Here, a webservice deployable can give access to the webservices.xml file.
 *
 * @author Guillaume Sauthier
 */
public interface IWebservicesDeployableMetadata {
    /**
     * @return the webservices 1.2 deployment descriptor object.
     */
    IWebservices getWebservices12();

    /**
     * Sets the webservices 1.2 deployment descriptor object.
     * @param webservices12 the webservices 1.2 deployment descriptor object.
     */
    void setWebservices12(IWebservices webservices12);
}
