/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.metadata.ws.api.xml.merge;

import org.ow2.util.ee.metadata.ws.api.IWebservicesCommonClassMetadata;

/**
 * The IClassMetadataFinder is an interface used during webservices.xml
 * merging. It's used to find the classmetadata given a particular SIB link
 * (EJB name for EjbJar or classname for servlet).
 *
 * @author Guillaume Sauthier
 */
public interface IClassMetadataFinder {

    /**
     * Find the Class metadatas relatives to a given "service implementation
     * bean" link (aka, an EJB name when the webservice is an EJB, or a
     * classname when the ws is a POJO)
     * @param link sib link name
     * @return the ClassMetadata associated to the link (may return null if
     * no bean/class is found)
     */
    IWebservicesCommonClassMetadata findClassMetadata(String link);
}
